QGIS Application - Bug report #18999
click on anything in plugin manager crashes qgis
2018-05-21 11:39 PM - luke allen

Status: Feedback

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:3.0.3 Regression?: No
Operating System: arch linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 26830
Description

When i click on anything inside of the plugin manager qgis crashes immediately.

qgis 3.0.3
arch linux

running from the command line this error shows up on crashing

free(): invalid pointer [1] 29800 abort (core dumped) qgis

History

#1 - 2018-08-09 05:18 PM - Nathan Allen

| am also having this issue. | notice it after upgrading from a version of 2.18 to 3.2.0. However a clean install on another computer with Arch and it is
working fine. | have tried to uninstall and reinstall QGIS, and | have also removed all my profile folders from .config, .local, and ~/ for QGIS and it is still
happening. Had you found a fix for this?

#2 - 2018-08-09 05:35 PM - Borys Jurgiel

Did you try to purge the /usr/share/qgis directory? A similar crash on Windows seems to be caused by some Python 2 remainders.

#3 - 2018-08-09 05:54 PM - Nathan Allen

Yeah, | confirmed that /usr/share/qgis was removed when | did the uninstall. and it seems to be recreated fine with the reinstall. | am building 3.3 from git
right now to see if it happens on that version as well.

#4 - 2018-08-09 07:55 PM - Nathan Allen

Ran into #19476 while compiling. Once | get that straight | can test, for now is there anything else | can try with 3.2.0 that would be helpful here?

#5 - 2018-08-09 11:47 PM - Nathan Allen

I have not been successful in building from git, however my workaround for this issue now is to install my plugins from zip files downloaded from the online

repo. Seems to work for what | need at least.
#6 - 2018-11-08 01:31 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#7 - 2018-11-10 12:26 AM - luke allen
Tried it on Arch with qgis 3.5.0 dev
Still broken. Also i cannot go to the About window. When i click on the about button it pops a window open and then the whole application Crashes.
#8 - 2018-12-17 11:33 AM - Bogustaw Ciastek
Probably this bug is related to QtWebKit. It looks similar to this one
More detailed log:
QNetworkReplyHttplmplPrivate::_q_startOperation was called more than once QUTrl("https://plugins.qgis.org/plugins/plugins.xml?qgis=3.2")
[New Thread 0x7{ff78e8d700 (LWP 16447)]
[Detaching after fork from child process 16448]
[New Thread 0x7fff6b7ff700 (LWP 16449)]
free(): invalid pointer
Temporary solution that works in my case (QGIS 3.4.2 + Arch Linux):
1. check Java versions you have installed

2. leave only java-8-openjdk and remove others
3. try to run QGIS

#9 - 2019-03-08 11:53 AM - Giovanni Manghi
1. check Java versions you have installed
2. leave only java-8-openjdk and remove others
3. try to run QGIS

| fail to see how this could help or be the issue, we are not java or anything related to java:)

#10 - 2019-03-08 11:53 AM - Giovanni Manghi

also this is not (of course) a general issue.
https://bbs.archlinux.org/viewtopic.php?id=231222

